import { IDropdownOption } from "office-ui-fabric-react";
import { IFieldUrlValue, ListItem } from "..";
export declare class CoreHelper {
    /**
     * Functions for Core
     */
    static getLabelCoreTranslation(obj: any, language: string, fieldName?: string): string;
    static copyInstance(original: any): any;
    static arrayItemsToDropdownOptions(arrayItems: Array<ListItem>, keyField?: string): Array<IDropdownOption>;
    static changeDropdownOptionsKey(arrayItems: Array<IDropdownOption>, newKeyField: string): Array<IDropdownOption>;
    static valueToFieldUrlValue(value: string): IFieldUrlValue;
}
