import { Metadata } from "./Metadata";
import { ListItem } from "./ListItem";
import { IFieldUrlValue } from "./FieldUrlValue";
/**
 * User Info Item
 */
export interface IUserInfoItem {
    __metadata: Metadata;
    Name: string;
    EMail: string;
    MobilePhone: string;
    Notes: string;
    Picture: IFieldUrlValue;
    Deparment: string;
    JobTitle: string;
    SipAddress: string;
    FirstName: string;
    LastName: string;
    WorkPhone: string;
    UserName: string;
    Office: string;
    SPSPicturePlaceholderState: string;
    SPSPictureExchangeSyncState: string;
}
export declare class UserInfoItem extends ListItem implements IUserInfoItem {
    __metadata: Metadata;
    Name: string;
    EMail: string;
    MobilePhone: string;
    Notes: string;
    Picture: IFieldUrlValue;
    Deparment: string;
    JobTitle: string;
    SipAddress: string;
    FirstName: string;
    LastName: string;
    WorkPhone: string;
    UserName: string;
    Office: string;
    SPSPicturePlaceholderState: string;
    SPSPictureExchangeSyncState: string;
    constructor();
}
