import { RoleType, PermissionKind, IItem, IList } from "@pnp/sp/presets/all";
import { SecurityLevel } from "../../enums/Constants";
import { RoleDefinition } from "../../modelsSP";
export declare class SecurityServiceModernPage {
    constructor();
    userHasPermissionDocsList(listTitle: string, permLevel: PermissionKind): Promise<boolean>;
    setBreakRoleInheritanceList(list: IList, copyRoles: boolean): Promise<any>;
    resetRoleInheritanceList(list: IList): Promise<any>;
    setBreakRoleInheritanceItem(item: IItem, copyRoles: boolean): Promise<any>;
    resetRoleInheritanceItem(item: IItem): Promise<any>;
    getRolDefinitionsCustom(rolName: string): Promise<RoleDefinition>;
    getRolDefinitionsGeneric(rolType: RoleType): Promise<RoleDefinition>;
    getCurrentUser(userId: number): Promise<any>;
    getUserbyId(idUser: number): Promise<any>;
    getGroupIdbyName(nameGroup: string): Promise<number>;
    addRoleUser(item: IItem, userId: number, roleDef: RoleDefinition): Promise<any>;
    removeRoleUser(item: IItem, userId: number, roleDef: RoleDefinition): Promise<any>;
    assignPermissionUserItem(item: IItem, userId: number, roleType?: RoleType, roleName?: string): Promise<void>;
    removePermissionUserItem(item: IItem, userId: number, roleType?: RoleType, roleName?: string): Promise<void>;
    getLevelPermissionInList(listName: string): Promise<SecurityLevel>;
}
