import { IDropdownOption } from "office-ui-fabric-react";
import { CoreSedeModel, TaxonomyField } from "../..";
export declare class DashboardServiceLib {
    static getCoreLanguageOptions(LIST_NAME_DASHBOARD: string, FLD_CORE_LANG_INTERNAL_NAME: string): Promise<Array<IDropdownOption>>;
    static foundValueInObject(objectToFind: any, filterText: string): boolean;
    static containsCategories(categ: TaxonomyField, activeFilters: Array<TaxonomyField>): boolean;
    static containsTags(itemTags: Array<TaxonomyField>, activeFilters: Array<TaxonomyField>): boolean;
    static containsSedes(sede: CoreSedeModel, activeFilters: Array<number>): boolean;
    static containsLangs(lang: string, activeFilters: Array<string>): boolean;
}
