import { Metadata, IMetadata } from "./Metadata";
export interface IUser extends IMetadata {
    Email: string;
    Id: number;
    IsEmailAuthenticationGuestUser: boolean;
    IsHiddenInUI: boolean;
    IsShareByEmailGuestUser: boolean;
    IsSiteAdmin: boolean;
    LoginName: string;
    PrincipalType: number;
    Title: string;
    UserPrincipalName: string;
}
export declare class User extends Metadata implements IUser {
    Email: string;
    Id: number;
    IsEmailAuthenticationGuestUser: boolean;
    IsHiddenInUI: boolean;
    IsShareByEmailGuestUser: boolean;
    IsSiteAdmin: boolean;
    LoginName: string;
    PrincipalType: number;
    Title: string;
    UserPrincipalName: string;
    constructor();
}
